Package org.apache.lucene.misc.document

## Class LazyDocument.LazyField

- java.lang.Object
- - org.apache.lucene.misc.document.LazyDocument.LazyField

- All Implemented Interfaces:
    `IndexableField`
  Enclosing class:
    LazyDocument

      public class LazyDocument.LazyField
      extends Object
      implements IndexableField

  Lazy-loaded field
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BytesRef` | `binaryValue()` |
    `IndexableFieldType` | `fieldType()` |
    `boolean` | `hasBeenLoaded()` | non-private for test only access
    `InvertableType` | `invertableType()` |
    `String` | `name()` |
    `Number` | `numericValue()` |
    `Reader` | `readerValue()` |
    `StoredValue` | `storedValue()` |
    `String` | `stringValue()` |
    `TokenStream` | `tokenStream​(Analyzer analyzer, TokenStream reuse)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.index.IndexableField

      `getCharSequenceValue`

- - ### Method Detail

    - #### hasBeenLoaded

          public boolean hasBeenLoaded()

      non-private for test only access
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

    - #### name

          public String name()

      Specified by:
        `name` in interface `IndexableField`

    - #### binaryValue

          public BytesRef binaryValue()

      Specified by:
        `binaryValue` in interface `IndexableField`

    - #### stringValue

          public String stringValue()

      Specified by:
        `stringValue` in interface `IndexableField`

    - #### readerValue

          public Reader readerValue()

      Specified by:
        `readerValue` in interface `IndexableField`

    - #### numericValue

          public Number numericValue()

      Specified by:
        `numericValue` in interface `IndexableField`

    - #### fieldType

          public IndexableFieldType fieldType()

      Specified by:
        `fieldType` in interface `IndexableField`

    - #### tokenStream

          public TokenStream tokenStream​(Analyzer analyzer,
                                         TokenStream reuse)

      Specified by:
        `tokenStream` in interface `IndexableField`

    - #### storedValue

          public StoredValue storedValue()

      Specified by:
        `storedValue` in interface `IndexableField`

    - #### invertableType

          public InvertableType invertableType()

      Specified by:
        `invertableType` in interface `IndexableField`